# GimpUi.EnumStore

    const GimpUi = imports.gi.GimpUi;

    let enumStore = new GimpUi.EnumStore({
        enum_type: value,
    });

A GimpUi.IntStore subclass that keeps enum values.

## Hierarchy

- GObject.Object
  - Gtk.ListStore
    - GimpUi.IntStore
      - GimpUi.EnumStore

## Constructors

- GimpUi.EnumStore.new
- GimpUi.EnumStore.new_with_range

## Methods

- GimpUi.EnumStore.prototype.set_icon_prefix

## Properties

- enum-type